commit:     d1c545d21a5b0c2629f2d1d88de9a3d94a1ac62c
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 01:23:37 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 01:23:37 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=d1c545d2

dev-ruby/gitlab_git: Initial version

Package-Manager: portage-2.2.28

 dev-ruby/gitlab_git/Manifest                 |  1 +
 dev-ruby/gitlab_git/gitlab_git-10.0.0.ebuild | 39 ++++++++++++++++++++++++++++
 dev-ruby/gitlab_git/metadata.xml             |  8 ++++++
 3 files changed, 48 insertions(+)

diff --git a/dev-ruby/gitlab_git/Manifest b/dev-ruby/gitlab_git/Manifest
new file mode 100644
index 0000000..d6389c7
--- /dev/null
+++ b/dev-ruby/gitlab_git/Manifest
@@ -0,0 +1 @@
+DIST gitlab_git-10.0.0.tar.gz 52080 SHA256 
b080b38827594561cf77c33a05d5fbea1065ed5bbcd4cf6c5f7c6c8908239018 SHA512 
862da141a77135b22939b0a83983044e1bf8afb3d99683815d54d76272cef35413678495fc60b2f5e73b52e45cbf84302c0b324ac943652934480ebb2b2e9d56
 WHIRLPOOL 
2a0fceb6ab8567681678efec756ed98dcf8f1ef749063f9641e52e0a2f7f5a1faa8b4ab80098401bd301d745ad0bdb874a55d756a03ddf4d3bdfc12cc50f1c40

diff --git a/dev-ruby/gitlab_git/gitlab_git-10.0.0.ebuild 
b/dev-ruby/gitlab_git/gitlab_git-10.0.0.ebuild
new file mode 100644
index 0000000..36e7fbd
--- /dev/null
+++ b/dev-ruby/gitlab_git/gitlab_git-10.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="GitLab wrapper around git objects"
+HOMEPAGE="https://rubygems.org/gems/gitlab_git 
https://gitlab.com/gitlab-org/gitlab_git";
+SRC_URI="https://gitlab.com/gitlab-org/gitlab_git/repository/archive.tar.gz?ref=v${PV}
 -> ${P}.tar.gz"
+
+RUBY_S="gitlab_git-*"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activesupport-4.0
+       <dev-ruby/activesupport-5
+       >=dev-ruby/charlock_holmes-0.7.3
+       <dev-ruby/charlock_holmes-0.8
+       >=dev-ruby/github-linguist-4.7.0
+       >=dev-ruby/rugged-0.24.0
+       <dev-ruby/rugged-0.25"
+ruby_add_bdepend "test? ( dev-ruby/rspec-mocks:3
+       dev-ruby/rspec-its
+       dev-ruby/webmock
+       )"
+
+all_ruby_prepare() {
+       sed -i -e "/[Ss]imple[Cc]ov/d" -e '/pry/d' spec/spec_helper.rb || die
+       sed -i -e "1s/^/require \'pathname\'\n/" lib/gitlab_git/path_helper.rb 
|| die
+}

diff --git a/dev-ruby/gitlab_git/metadata.xml b/dev-ruby/gitlab_git/metadata.xml
new file mode 100644
index 0000000..bfcb697
--- /dev/null
+++ b/dev-ruby/gitlab_git/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer>
+               <email>[email protected]</email>
+               <name>Manuel Rüger</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to